local _G = getfenv(0)
local ADDON_NAME, addon = ...

if not addon.Retail then return end

local LookupOrKeyMT = {__index = function (t,k) return k end}
addon.SpellIds = {
	["Abomination Limb"] = 315443,  -- Necrolord Covenant
	["Anti-Magic Shell"] = 48707,
	["Anti-Magic Zone"] = 51052,
	["Apocalypse"] = 275699,
	["Army of the Dead"] = 42650,
	["Asphyxiate (Blood)"] = 221562,
	["Auto Attack"] = 6603,
	["Blooddrinker"] = 206931,
	["Blood Boil"] = 50842,
	["Blood Plague"] = 55078,
	["Blood Shield"] = 77535,
	["Bone Shield <= X"] = 195181,  -- Used for a proc
	["Bone Shield"] = 195181,
	["Chains of Ice"] = 45524,
	["Cinderglacier"] = 53386,
  	["Cold Heart Buff"] = 281209,
	["Crimson Scourge"] = 81141,
	["Dancing Rune Weapon"] = 49028,
	["Dark Succor"] = 101568,
	["Dark Transformation"] = 63560,
	["Death's Caress"] = 195292,
	["Death's Due"] = 324128,  -- Night Fae Covenant
	["Death and Decay"] = 43265,
	["Death and Decay Buff"] = 188290,
	["Death Coil Damage"] = 47632,
	["Death Coil Heal"] = 47633,
	["Death Coil"] = 47541,
	["Death Pact"] = 48743,
	["Death Strike"] = 49998,
	["Death's Advance"] = 96268,
	["Desecrated Ground"] = 108201,
	["Determination"] = 146250,
	["Door of Shadows"] = 341796,  -- Venthyr Covenant
	["Empower Rune Weapon"] = 47568,
	["Epidemic"] = 207317,
	["Feathers of Fury"] = 138759,
	["Festering Strike"] = 85948,
	["Festering Wound"] = 194310,
	["Festering Wound < 5"] = 85948,  -- Used for a proc
	["Fleshcraft"] = 324631,  -- Necrolord Covenant
	["Frost Fever"] = 55095,
	["Frost Strike"] = 49143,
	["Frost Strike MH Damage"] = 222026,
	["Frostwyrm's Fury"] = 279302,
	["Frozen Wake"] = 187894,
	["Gorefiend's Grasp"] = 108199,
	["Icebound Fortitude"] = 48792,
	["Icy Talons Buff"] = 194879,
	["Killing Machine"] = 51124,
	["Lichborne"] = 49039,
	["Marrowrend"] = 195182,
	["Mind Freeze"] = 47528,
	["Obliterate"] = 49020,
	["Outbreak"] = 77575,
	["Outrage"] = 146245,
	["Pillar of Frost"] = 51271,
	["Plague Strike"] = 45462,
	["Raise Dead (Unholy)"] = 46584,
	["Raise Dead"] = 46585,
	["Raise Ally"] = 61999,
	["Razorice"] = 51714,
	["Remorseless Winter"] = 196770,
	["Resolve"] = 158300,
	["Rime"] = 59052,
	["Rune Strike"] = 210764,
	["Rune Strike (starter)"] = 316239,
  	["Rune Tap"] = 194679,
	["Runic Corruption"] = 51460,
	["Runic Empowerment"] = 81229,
	["Sacrificial Pact"] = 327574,
	["Scourge Strike"] = 55090,
	["Shackle the Unworthy"] = 312202,  -- Kyrian Covenant
	["Soulshape"] = 310143,  -- Night Fae Covenant
	["Strangulate"] = 47476,
	["Sudden Doom"] = 49530,
	["Summon Gargoyle"] = 49206,
	["Summon Steward"] = 324739,  -- Kyrian Covenant
	["Surge of Strength"] = 138702,
	["Swarming Mist"] = 311648,  -- Venthyr Covenant
	["Tenacious"] = 148899,
	["Unholy Blight"] = 115989,
	["Vampiric Blood"] = 55233,
	["Virulent Plague"] = 191587,

	-- Spells for Talents
	["All Will Serve"] = 194916,
	["Anti-Magic Barrier"] = 205727,
	["Army of the Damned"] = 276837,
	["Asphyxiate"] = 108194,
	["Avalanche"] = 207142,
	["Blinding Sleet"] = 207167,
	["Blood Tap"] = 221699,
	["Blooddrinker"] = 206931,
	["Bloodworms"] = 195679,
	["Bonestorm"] = 194844,
	["Breath of Sindragosa"] = 152279,
	["Bursting Sores"] = 207264,
	["Clawing Shadows"] = 207311,
	["Cold Heart"] = 281208,
	["Consumption"] = 274156,
	["Death Pact"] = 48743,
	["Death's Reach"] = 276079,
	["Defile"] = 152280,
	["Ebon Fever"] = 207269,
	["Foul Bulwark"] = 206974,
	["Frostscythe"] = 207230,
	["Frozen Pulse"] = 194909,
	["Gathering Storm"] = 194912,
	["Glacial Advance"] = 194913,
	["Grip of the Dead"] = 273952,
	["Harbinger of Doom"] = 276023,
	["Heartbreaker"] = 221536,
	["Hemostasis"] = 273946,
	["Horn of Winter"] = 57330,
	["Hypothermic Presence"] = 321995,
	["Icecap"] = 207126,
	["Icy Talons"] = 194878,
	["Inexorable Assault"] = 253593,
	["Infected Claws"] = 207272,
	["Mark of Blood"] = 206940,
	["Murderous Efficiency"] = 207061,
	["Obliteration"] = 281238,
	["Permafrost"] = 207200,
	["Pestilence"] = 277234,
	["Pestilent Pustules"] = 194917,
	["Purgatory"] = 114556,
	["Rapid Decomposition"] = 194662,
	["Red Thirst"] = 205723,
	["Relish in Blood"] = 317610,
	["Runic Attenuation"] = 207104,
	["Soul Reaper"] = 343294,
	["Spell Eater"] = 207321,
	["Summon Gargoyle"] = 49206,
	["Tightening Grasp"] = 206970,
	["Tombstone"] = 219809,
	["Unholy Assault"] = 207289,
	["Unholy Blight"] = 115989,
	["Unholy Pact"] = 319230,
	["Voracious"] = 273953,
	["Will of the Necropolis"] = 206967,
	["Wraith Walk"] = 212552,
}

addon.SpellNames = {}
addon.SpellIcons = {}
_G.setmetatable(addon.SpellNames, LookupOrKeyMT)
function addon:LoadSpellNames()
	for k, v in pairs(addon.SpellIds) do
		local name, _, icon = _G.GetSpellInfo(v)
		addon.SpellNames[k] = name
		addon.SpellIcons[k] = icon
	end
end
addon.LoadSpellNames()
