local _G = getfenv(0)
local ADDON_NAME, addon = ...

addon.SpellTypes = {
}

addon.SpellOverridenByTalent = {
}

-- Spells whose icons can change based on talents
addon.DynamicSpells = {
}

-- Spells which need to use the listed name and not the one from the API.
addon.SpecialSpellNames = {
}

addon.PriorityListDefaults = {
	["Any"] = {
		"Missing Presence",
		"Raise Dead",
		"Bone Shield",
		"Rune Strike",
		"Horn of Winter",
		"Freezing Fog",
		"Killing Machine",
		"Unbreakable Armor",
		"Empower Rune Weapon",
		"Summon Gargoyle",
		"Death and Decay",
		"Rune Tap",
		"Unholy Frenzy",
	},
}

-- Procs: Abilities with cooldowns
addon.AbilityProcsList = {
	["All"] = {
		["Empower Rune Weapon"] = true,
		["Death and Decay"] = true,
		["Summon Gargoyle"] = true,
		["Rune Tap"] = true,
		["Unholy Frenzy"] = true,
	},
}

-- Procs: Triggers when usable
addon.UsableProcsList = {
	["All"] = {
		["Rune Strike"] = true,
	},
}

-- These procs are handled differently.
addon.specialProcs = {
	["Death and Decay"] = true,
	["Empower Rune Weapon"] = true,
	["Missing Presence"] = true,
	["Raise Dead"] = true,
	["Rune Strike"] = true,
	["Rune Tap"] = true,
	["Summon Gargoyle"] = true,
	["Unholy Frenzy"] = true,
	["Unholy Blight"] = true,
}

-- Procs for buffs that should be up and are not on CD
addon.MissingBuffList = {
	["All"] = {
		["Bone Shield"] = true,
		["Horn of Winter"] = true,
		["Unbreakable Armor"] = true,
	}
}

addon.HasRuneCD = {
	["All"] = {
		["Army of the Dead"] = true,
		["Death and Decay"] = true,
		["Rune Tap"] = true,
	},
}

addon.DefaultCDBarOrderings = {
	["Any"] = {
		"Horn of Winter",
		"Rune Tap",
		"Vampiric Blood",
		"Anti-Magic Shell",
		"Anti-Magic Zone",
		"Army of the Dead",
		"Summon Gargoyle",
		"Empower Rune Weapon",
		"Dancing Rune Weapon",
		"Unholy Frenzy",
		"Death and Decay",
		"Mark of Blood",
		"Mind Freeze",
		"Icebound Fortitude",
		"Death Pact",
		"Lichborne",
		"Raise Ally",
		"Raise Dead",
		"Unbreakable Armor"
	},
}
