local _G = getfenv(0)
local ADDON_NAME, addon = ...

local LookupOrKeyMT = {__index = function (t,k) return k end}
addon.SpellIds = {
	["Anti-Magic Shell"] = 48707,
	["Anti-Magic Zone"] = 51052,
	["Auto Attack"] = 6603,
	["Army of the Dead"] = 42650,
	["Blood Boil"] = 49939,
	["Blood Plague"] = 55078,
	["Blood Presence"] = 48266,
	["Blood Strike"] = 49930, -- Rank 6
	["Missing Presence"] = 48266,
	["Chains of Ice"] = 45524,
	["Cinderglacier"] = 53386,
	["Dancing Rune Weapon"] = 49028,
	["Death and Decay"] = 49938, -- Rank 4
	["Death Coil Damage"] = 47632,
	["Death Coil Heal"] = 47633,
	["Death Coil"] = 47541,
	["Death Pact"] = 48743,
--	["Death Strike"] = 49998,
	["Death Strike"] = 45463,
	["Determination"] = 146250,
	["Empower Rune Weapon"] = 47568,
	["Freezing Fog"] = 59052,
	["Frost Fever"] = 55095,
	["Frost Presence"] = 48263,
	["Frost Strike"] = 49143,
	["Frost Strike MH Damage"] = 222026,
	["Horn of Winter"] = 57623,  -- Rank 2
	["Icebound Fortitude"] = 48792,
	["Icy Talons Buff"] = 194879,
	["Killing Machine"] = 51124,
	["Lichborne"] = 49039,
	["Mind Freeze"] = 47528,
	["Obliterate"] = 49020,
--	["Obliterate"] = 51423,  -- Rank 2
	["Pillar of Frost"] = 51271,
--	["Plague Strike"] = 45462,
	["Plague Strike"] = 49919,
	["Raise Dead (Unholy)"] = 46584,
	["Raise Dead"] = 46585,  -- also 46584
	["Raise Ally"] = 61999,
	["Rime"] = 59052,
	["Rune Strike"] = 56815,
  	["Rune Tap"] = 48982,
	["Scourge Strike"] = 55265,
	["Strangulate"] = 47476,
	["Sudden Doom"] = 49530,
	["Unholy Blight"] = 115989,
	["Unholy Presence"] = 48265,
	["Vampiric Blood"] = 55233,

	-- Spells for Talents
	["Anti-Magic Zone"] = 51052,
	["Bloodworms"] = 195679,
	["Bone Shield"] = 49222,
	["Corpse Explosion"] = 51326,
	["Ghoul Frenzy"] = 63560,
	["Mark of Blood"] = 49005,
	["Summon Gargoyle"] = 49206,
	["Unbreakable Armor"] = 51271,
	["Unholy Frenzy"] = 207289,
	["Will of the Necropolis"] = 206967,
}

-- Spells that have multiple ranks
-- Order in array should match the rank order
addon.SpellsWithRanks = {
	["Blood Strike"] = { 
		45902, -- Rank 1
		49926, -- Rank 2
		49927, -- Rank 3
		49928, -- Rank 4
		49929, -- Rank 5
		49930, -- Rank 6
	},
	["Death and Decay"] = {
		43265, -- Rank 1
		49936, -- Rank 2
		49937, -- Rank 3
		49938, -- Rank 4
	},
	["Horn of Winter"] = {
		57330, -- Rank 1
		57623, -- Rank 2
	}
}

function addon:UpdateSpellInfo(spell, id)
	local name, _, icon = _G.GetSpellInfo(id)
	addon.SpellNames[spell] = name
	addon.SpellIcons[spell] = icon
end

addon.SpellNames = {}
addon.SpellIcons = {}
_G.setmetatable(addon.SpellNames, LookupOrKeyMT)
function addon:LoadSpellNames()
	for k, v in pairs(addon.SpellIds) do
		addon:UpdateSpellInfo(k, v)
	end
end
addon.LoadSpellNames()
